/*
DomesticViolence_main.do
This is the main do file for Papageorge et al. "Health, Human Capital and Domestic Violence."

Last updated: 10/07/2019. 
*/


clear all
#delimit; 

set more off; 

global startdir "C:\Users\gpauley\Dropbox\Research\DomesticViolence\DVWork"; 
local dofile "$startdir\Estimation\Stata\Dofiles\Gwyn\final"; 

global tabledir "$startdir\Estimation\Stata\Dofiles\Gwyn\final\output\tables";


****** STEP 1: Clean data; 
do "`dofile'\Clean_data"; 


***** STEP 2: Create tables; 
** Summary Statistics (T1); 
do "`dofile'\T1_summstats"; 

** Test of Equality of Pre-HAART trends (T2); 
do "`dofile'\T2_preHtrends"; 

** Health, Violence and Drug Use: Probit Coefficients (T3); 
do "`dofile'\T3_probits"; 

** Health, Violence and Drug use: Marginal Effects (T4); 
do "`dofile'\T4_marginals"; 

** CD4 Count (T5); 
do "`dofile'\T5_cd4"; 

** Depression Score and Symptoms (T6);
do "`dofile'\T6_depressionsymptoms"; 

** Drug Use and Violence (T7); 
do "`dofile'\T7_drugsviolence"; 

** Employment: Marginal Effects (T8);
do "`dofile'\T8_employment";


***** STEP 3: Create figures;
do "`dofile'\Figures"; 


***** STEP 4: Appendix;
** 4a: Figure A1. ;
do "`dofile'\appendix_figures"

** 4b: Tables; 
do "`dofile'\appendix"; 